node[:secrets] = 
  if File.exists? "#{ENV['HOME']}/.secrets/passwords.yml"
    YAML.load(File.open("#{ENV['HOME']}/.secrets/passwords.yml"))
  else
    { }
  end

directory "#{ENV['HOME']}/.gem"

if node[:secrets][:rubygems]
  template "#{ENV['HOME']}/.gem/credentials" do
    source "credentials.erb"
    mode 0400
  end
end
